Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.parser
Interface XMLDTDContentModelSource

All Known Subinterfaces:
  XMLDTDContentModelFilter, XMLDTDScanner

public interface XMLDTDContentModelSource

Defines a DTD content model source. In other words, any object that implements this interface is able to emit DTD content model "events" to the registered DTD content model handler. These events could be produced by parsing an XML document's internal or external subset, could be generated from some other source, or could be created programmatically. This interface does not say how the events are created, only that the implementor is able to emit them.

Version:
  $Id: XMLDTDContentModelSource.java,v 1.4 2002/12/07 00:07:51 neilg Exp $
Author:
  Andy Clark, IBM

Method Summary
`XMLDTDContentModelHandler` | `getDTDContentModelHandler()` Returns the DTD content model handler.
`void` | `setDTDContentModelHandler(XMLDTDContentModelHandler handler)` Sets the DTD content model handler.

Method Detail

### setDTDContentModelHandler

    public void setDTDContentModelHandler(XMLDTDContentModelHandler handler)

  Sets the DTD content model handler.

### getDTDContentModelHandler

    public XMLDTDContentModelHandler getDTDContentModelHandler()

  Returns the DTD content model handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.